# Exiv2::TiffMnRegistry Struct Reference

Makernote registry structure. More...

`#include <makernote2.hpp>`

List of all members.

## Public Member Functions

bool | operator== (const Key &key) const
| Compare a TiffMnRegistry structure with a TiffMnRegistry::Key The two are equal if TiffMnRegistry::make_ equals a substring of the key of the same size. E.g., registry = "OLYMPUS", key = "OLYMPUS OPTICAL CO.,LTD" (found in the image) match.

## Public Attributes

const char * | make_
| Camera make.
NewMnFct | newMnFct_
| Makernote create function.
uint16_t | mnGroup_
| Group identifier.

## Classes

struct | Key
| Search key for Makernote registry structure. More...

## Detailed Description

Makernote registry structure.

The documentation for this struct was generated from the following files:

- makernote2.hpp
- makernote2.cpp